{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Processes.Recordkeeping
  ( module Data.FpML.V53.Processes.Recordkeeping
  , module Data.FpML.V53.Events.Business
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Events.Business
 
data NonpublicExecutionReport
instance Eq NonpublicExecutionReport
instance Show NonpublicExecutionReport
instance SchemaType NonpublicExecutionReport
instance Extension NonpublicExecutionReport CorrectableRequestMessage
instance Extension NonpublicExecutionReport RequestMessage
instance Extension NonpublicExecutionReport Message
instance Extension NonpublicExecutionReport Document
 
data NonpublicExecutionReportRetracted
instance Eq NonpublicExecutionReportRetracted
instance Show NonpublicExecutionReportRetracted
instance SchemaType NonpublicExecutionReportRetracted
instance Extension NonpublicExecutionReportRetracted NonCorrectableRequestMessage
instance Extension NonpublicExecutionReportRetracted RequestMessage
instance Extension NonpublicExecutionReportRetracted Message
instance Extension NonpublicExecutionReportRetracted Document
 
elementNonpublicExecutionReport :: XMLParser NonpublicExecutionReport
elementToXMLNonpublicExecutionReport :: NonpublicExecutionReport -> [Content ()]
 
elementNonpublicExecutionReportRetracted :: XMLParser NonpublicExecutionReportRetracted
elementToXMLNonpublicExecutionReportRetracted :: NonpublicExecutionReportRetracted -> [Content ()]
 
elementNonpublicExecutionReportAcknowledgement :: XMLParser Acknowledgement
elementToXMLNonpublicExecutionReportAcknowledgement :: Acknowledgement -> [Content ()]
 
elementNonpublicExecutionReportException :: XMLParser Exception
elementToXMLNonpublicExecutionReportException :: Exception -> [Content ()]
