{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Swaps.Return
  ( module Data.FpML.V53.Swaps.Return
  , module Data.FpML.V53.Shared.EQ
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Shared.EQ
 
-- | A type for defining Equity Swap Transaction Supplement 
data EquitySwapTransactionSupplement
instance Eq EquitySwapTransactionSupplement
instance Show EquitySwapTransactionSupplement
instance SchemaType EquitySwapTransactionSupplement
instance Extension EquitySwapTransactionSupplement ReturnSwapBase
instance Extension EquitySwapTransactionSupplement Product
 
-- | Specifies the structure of the equity swap transaction 
--   supplement. 
elementEquitySwapTransactionSupplement :: XMLParser EquitySwapTransactionSupplement
elementToXMLEquitySwapTransactionSupplement :: EquitySwapTransactionSupplement -> [Content ()]
